# bdm::eDirich Class Reference

Dirichlet posterior density. More...

## Detailed Description

Dirichlet posterior density.

Continuous Dirichlet density of -dimensional variable

where .

`#include <exp_family.h>`

List of all members.

## Public Member Functions
vec | sample () const
| using sampling procedure from wikipedia
vec | mean () const
| return expected value
vec | variance () const
| return expected variance (not covariance!)
double | evallog_nn (const vec &val) const
| In this instance, val is ...
double | lognc () const
| logarithm of the normalizing constant,
vec & | _beta ()
| access function
void | from_setting (const Setting &set)
void | validate ()
| This method TODO.
virtual double | evallog (const vec &val) const
| Evaluate normalized log-probability.
virtual vec | evallog_m (const mat &Val) const
| Evaluate normalized log-probability for many samples.
virtual vec | evallog_m (const Array< vec > &Val) const
| Evaluate normalized log-probability for many samples.
virtual void | pow (double p)
| Power of the density, used e.g. to flatten the density.
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
Constructors
| eDirich ()
| eDirich (const eDirich &D0)
| eDirich (const vec &beta0)
void | set_parameters (const vec &beta0)
Constructors
Construction of each epdf should support two types of constructors: empty constructor, copy constructor, The following constructors should be supported for convenience: constructor followed by calling `set_parameters()` constructor accepting random variables calling `set_rv()` All internal data structures are constructed as empty. Their values (including sizes) will be set by method `set_parameters()`. This way references can be initialized in constructors.
void | set_parameters (int dim0)
Matematical Operations
virtual mat | sample_m (int N) const
| Returns N samples, from density .
virtual shared_ptr< mpdf > | condition (const RV &rv) const
| Return conditional density on the given RV, the remaining rvs will be in conditioning.
virtual shared_ptr< epdf > | marginal (const RV &rv) const
| Return marginal density on the given RV, the remainig rvs are intergrated out.
virtual void | qbounds (vec &lb, vec &ub, double percentage=0.95) const
| Lower and upper bounds of `percentage` % quantile, returns mean-2*sigma as default.
Connection to other classes
Description of the random quantity via attribute `rv` is optional. For operations such as sampling `rv` does not need to be set. However, for `marginalization` and `conditioning` `rv` has to be set. NB:
void | set_rv (const RV &rv0)
| Name its rv.
bool | isnamed () const
| True if rv is assigned.
const RV & | _rv () const
| Return name (fails when isnamed is false).
Access to attributes
int | dimension () const
| Size of the random variable.
## Protected Attributes
vec | beta
| sufficient statistics
int | dim
| dimension of the random variable
RV | rv
| Description of the random variable.

## Member Function Documentation

void bdm::eDirich::from_setting | ( | const Setting & | set | ) | `[inline, virtual]`

configuration structure

                    class = 'eDirich';
                    beta  = [];           //parametr beta

Reimplemented from bdm::epdf.

References beta, bdm::UI::get(), and validate().

The documentation for this class was generated from the following file:

- exp_family.h